defaultgamemode adventure
execute as @e[type=area_effect_cloud] at @s run data merge entity @s {Duration:99999}

execute as @a at @s store result score @s y run data get entity @s Pos[1]
execute as @e[type=armor_stand,tag=punchable] at @s store result score @s y run data get entity @s Pos[1]
execute as @a[scores={y=..0}] at @s run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @a[scores={y=..0}] at @s unless entity @s[advancements={cosmetics:adv5=true}] run advancement grant @s only cosmetics:adv5
execute as @e[type=armor_stand,tag=spawnpoint] at @s run tp @a[scores={y=..0},limit=1,sort=nearest,distance=..50] ~ ~.1 ~
execute as @e[type=armor_stand,tag=punchable,scores={y=..0}] at @s run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable,scores={y=..0}] at @s run kill @s

execute positioned 0 5 0 as @a[gamemode=survival,distance=..100] at @s run gamemode adventure @s
execute positioned 0 5 0 as @a[scores={y=..0},distance=..100] at @s run tp @s 0 7.5 0
execute positioned 0 5 0 as @a[distance=..60,team=] run team join lobby @s
execute positioned 0 5 0 if entity @a[distance=..60,limit=1] run function lobby:info
execute positioned 0 5 0 if entity @a[distance=..60,limit=1] run function lobby:animations
execute positioned 0 5 0 if entity @a[distance=..60,limit=1] run function lobby:settings
execute positioned 0 5 0 if entity @a[distance=..60,limit=1] run function cosmetics:tick

execute unless entity @e[type=area_effect_cloud,name="Map Makers"] run summon minecraft:area_effect_cloud -16.5 10.3 0.5 {CustomName:'{"text":"Map Makers","color":"yellow"}',Duration:99999,CustomNameVisible:1b,Tags:["makers"]}
execute unless entity @e[type=area_effect_cloud,name="Start Playing"] run summon minecraft:area_effect_cloud 0.5 8 8.5 {CustomName:'{"text":"Start Playing","color":"yellow"}',Duration:99999,CustomNameVisible:1b,Tags:["play"]}
execute unless entity @e[type=area_effect_cloud,name="Settings"] run summon minecraft:area_effect_cloud 0 9.5 -17 {Duration:999999,CustomNameVisible:1b,CustomName:'{"text":"Settings","color":"yellow"}',Tags:["setting"]}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay1] run summon minecraft:area_effect_cloud -16.5 9.6 -2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay1"],CustomName:'{"text":"Mickae","color":"yellow"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay2] run summon minecraft:area_effect_cloud -16.5 9.6 2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay2"],CustomName:'{"text":"ZebraPantz","color":"yellow"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay3] run summon minecraft:area_effect_cloud -16.5 9.1 -2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay3"],CustomName:'{"text":"Commands","color":"white"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay4] run summon minecraft:area_effect_cloud -16.5 9.1 2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay4"],CustomName:'{"text":"Concept Creator","color":"white"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay5] run summon minecraft:area_effect_cloud -16.5 8.8 -2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay5"],CustomName:'{"text":"Level Design","color":"white"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay6] run summon minecraft:area_effect_cloud -16.5 8.8 2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay6"],CustomName:'{"text":"Level Design","color":"white"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay7] run summon minecraft:area_effect_cloud -16.5 8.5 -2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay7"],CustomName:'{"text":"Lobby","color":"white"}'}
execute unless entity @e[type=area_effect_cloud,tag=makerdisplay8] run summon minecraft:area_effect_cloud -16.5 8.5 2 {CustomNameVisible:1b,Duration:999,Tags:["makerdisplay8"],CustomName:'{"text":"Cosmetic Design","color":"white"}'}

execute as @a at @s unless entity @s[nbt={ActiveEffects:[{Id:23b}]}] run effect give @s saturation 999999 0 true

execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ acacia_wood run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ acacia_wood run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ barrier run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ barrier run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ light_gray_stained_glass run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ light_gray_stained_glass run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ gray_stained_glass run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ gray_stained_glass run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ gray_glazed_terracotta run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ gray_glazed_terracotta run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ magma_block run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ magma_block run kill @s

execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ polished_andesite run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ polished_andesite run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ polished_andesite_slab run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ polished_andesite_slab run kill @s
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ andesite_slab run particle smoke ~ ~ ~ 0.1 0.2 0.1 0.1 10 force @a
execute as @e[type=armor_stand,tag=punchable] at @s if block ~ ~-.01 ~ andesite_slab run kill @s

execute as @e[type=armor_stand,tag=witherrose] at @s if block ~ ~ ~ air run setblock ~ ~ ~ wither_rose
execute as @e[type=armor_stand,tag=slime] at @s if block ~ ~ ~ air run setblock ~ ~ ~ slime_block
execute as @e[type=armor_stand,tag=slime] at @s if block ~ ~ ~ slime_block if block ~ ~1 ~ slime_block run setblock ~ ~ ~ air

execute as @e[type=armor_stand,tag=punchable,tag=enchanted] at @s unless entity @e[type=armor_stand,tag=magic,limit=1,distance=..0.9] run tag @s remove enchanted
execute as @e[type=armor_stand,tag=punchable,tag=!enchanted] at @s if entity @e[type=armor_stand,tag=magic,limit=1,distance=..0.9] run tag @s add enchanted

execute as @e[type=armor_stand,tag=goal] at @s if entity @e[type=armor_stand,tag=punchable,distance=..0.9] run tag @s add achieved
execute as @e[type=armor_stand,tag=goal,tag=achieved] at @s run particle totem_of_undying ~ ~.2 ~ 0.3 0.1 0.3 0.0 1
execute as @e[type=armor_stand,tag=goal,tag=achieved] at @s unless entity @e[type=armor_stand,limit=1,tag=goal,tag=!achieved,distance=..32] if block ~ ~-1 ~ gold_block run kill @e[tag=punchable,distance=..32]
execute as @e[type=armor_stand,tag=goal,tag=achieved] at @s unless entity @e[type=armor_stand,limit=1,tag=goal,tag=!achieved,distance=..32] if block ~ ~-1 ~ gold_block run setblock ~ ~-1 ~ diamond_block
execute as @e[type=armor_stand,tag=goal,tag=!achieved] at @s if block ~ ~-1 ~ diamond_block run setblock ~ ~-1 ~ gold_block

execute as @e[type=armor_stand,tag=respawn_stand] at @s unless entity @e[type=armor_stand,tag=punchable,distance=..32] at @e[type=armor_stand,limit=1,tag=spawnpoint,sort=nearest,distance=..32] run summon armor_stand ~ ~ ~ {Tags:["punchable"],NoBasePlate:1b}
execute as @e[type=armor_stand,tag=respawn_stand] at @s if score cosmetics settings matches 1 unless entity @e[type=armor_stand,tag=punchable,distance=..32] at @e[type=armor_stand,limit=1,tag=spawnpoint,sort=nearest,distance=..32] run function cosmetics:stand
execute as @e[type=armor_stand,tag=respawn_stand] at @s run tag @e[type=armor_stand,tag=achieved] remove achieved
execute as @e[type=armor_stand,tag=respawn_stand] at @s run kill @s
execute as @a[scores={respawn=1..},tag=name] at @s if score cosmetics settings matches 1 run function cosmetics:stand
execute as @a[scores={respawn=1..},tag=name] at @s run data merge block 0 0 0 {Text1:'{"selector":"@p"}'}
execute as @a[scores={respawn=1..}] at @s run scoreboard players reset @s respawn

execute as @a[tag=playing] at @s unless entity @s[nbt={Inventory:[{id:"#minecraft:stick"}]}] unless entity @e[type=armor_stand,tag=punchable,tag=enchanted,limit=1,distance=..32] run function cosmetics:stick
execute as @a[tag=playing] at @s unless entity @s[nbt={SelectedItem:{tag:{Enchantments:[{id:"knockback",lvl:1s}]}}}] if entity @e[type=armor_stand,tag=punchable,tag=enchanted,limit=1,distance=..32] run function cosmetics:magic

execute as @a[tag=playing] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:armor_stand"}]}] run replaceitem entity @s hotbar.4 armor_stand{display:{Name:'{"text":"Respawn Armor Stand","color":"white","italic":"false"}'},EntityTag:{NoBasePlate:1b,Tags:["respawn_stand"],Invisible:1b,Marker:1b}}
execute as @a[tag=playing] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:red_stained_glass_pane"}]}] run replaceitem entity @s hotbar.8 red_stained_glass_pane{display:{Name:'{"text":"Place to Quit","color":"white","italic":"false"}'}}

execute as @a[tag=playing,tag=!next_level] at @s if block ~ ~-.1 ~ diamond_block run tag @s add next_level
execute as @a[tag=playing] at @s if block ~ ~-.1 ~ diamond_block run tag @e[type=armor_stand,distance=..50,tag=achieved] remove achieved
execute as @a at @s unless entity @s[nbt={ActiveEffects:[{Id:10b}]}] run effect give @s regeneration 999999 4 true
execute as @a at @s unless entity @s[nbt={ActiveEffects:[{Id:23b}]}] run effect give @s saturation 999999 4 true
execute as @a[tag=playing] at @s unless entity @s[nbt={ActiveEffects:[{Id:4b}]}] run effect give @s mining_fatigue 999999 4 true
execute as @a[tag=!playing] at @s if entity @s[nbt={ActiveEffects:[{Id:4b}]}] run effect clear @s mining_fatigue
execute as @a at @s unless entity @s[nbt={ActiveEffects:[{Id:11b}]}] run effect give @s resistance 999999 4 true
execute as @a[tag=playing,gamemode=adventure] at @s run gamemode survival @s
execute as @a[tag=playing] at @s run kill @e[type=item,distance=..5]

execute as @a[tag=next_level] at @s if score next_level settings matches 1 as @a[distance=0.001..40] run function game:nextlevel 
execute as @a[tag=next_level] at @s run function game:nextlevel

execute if block 0 7 7 minecraft:birch_button[powered=true] positioned 0.5 7.5 7 as @p at @s run function game:start
execute as @a[scores={exit=1..}] at @s run function game:exit

execute as @a[scores={noHeads=1..},gamemode=!creative] at @s run fill ~-6 0 ~-6 ~6 ~6 ~6 air replace player_head
execute as @a[scores={noHeads=1..},gamemode=!creative] at @s run fill ~-6 0 ~-6 ~6 ~6 ~6 air replace player_wall_head
execute as @a[scores={noHeads=1..}] at @s run scoreboard players reset @s noHeads

execute as @a[advancements={cosmetics:adv7=false}] at @s if block ~ ~1 ~ tripwire run advancement grant @s only cosmetics:adv7
execute if block 3296 11 13 air run setblock 3296 11 13 minecraft:tripwire_hook[attached=true,facing=west,powered=false]
execute if block 3295 11 13 tripwire[powered=false] if block 3295 12 13 minecraft:slime_block run setblock 3295 12 13 air
execute if block 3295 11 13 air run setblock 3295 11 13 minecraft:tripwire[west=true,attached=true]
execute if block 3294 11 13 air run setblock 3294 11 13 minecraft:tripwire_hook[attached=true,facing=east,powered=false]